package net.ihe.gazelle.xdstar.validator.test;

import java.util.List;

import javax.persistence.EntityManager;

import net.ihe.gazelle.common.Concept;
import net.ihe.gazelle.xdstar.comon.util.SVSConsumerNew;

public class TestSVSValueSet {
	
	String ConceptXDStarClient = "1.3.6.1.4.1.12559.11.4.9";
	
	static String[] listValueSetXDS = {"1.3.6.1.4.1.12559.11.4.3.7", "1.3.6.1.4.1.12559.11.4.3.4", "1.3.6.1.4.1.12559.11.4.1.5", "1.3.6.1.4.1.12559.11.4.5.1", 
		"1.3.6.1.4.1.12559.11.4.5.2","1.3.6.1.4.1.12559.11.4.5.3","1.3.6.1.4.1.12559.11.4.5.4","1.3.6.1.4.1.12559.11.4.5.5","1.3.6.1.4.1.12559.11.4.5.6",
		"1.3.6.1.4.1.12559.11.4.5.7", "1.3.6.1.4.1.12559.11.4.1.6", "1.3.6.1.4.1.12559.11.4.1.9", "1.3.6.1.4.1.12559.11.4.3.8", "1.3.6.1.4.1.12559.11.4.3.3", "1.3.6.1.4.1.12559.11.4.1.8",
		"1.3.6.1.4.1.12559.11.4.1.4", "1.3.6.1.4.1.12559.11.4.3.1", "1.3.6.1.4.1.12559.11.4.3.2", "1.3.6.1.4.1.12559.11.4.3.7.1", "1.3.6.1.4.1.12559.11.4.3.10",
		"1.3.6.1.4.1.12559.11.4.3.5", "1.3.6.1.4.1.12559.11.4.1.3", "1.3.6.1.4.1.12559.11.4.1.7", "1.3.6.1.4.1.12559.11.4.3.6"};
	
	static String[] listValueSetKSAXDS = {"2.16.840.1.113883.3.3731.1.203.10.1", "2.16.840.1.113883.3.3731.1.203.11.1", "2.16.840.1.113883.3.3731.1.202.2",
		"2.16.840.1.113883.3.3731.1.202.6", "2.16.840.1.113883.3.3731.1.201.8", "2.16.840.1.113883.3.3731.1.203.14.1", "2.16.840.1.113883.3.3731.1.204.15.1",
		"2.16.840.1.113883.3.3731.1.204.13.1", "2.16.840.1.113883.3.3731.1.204.12.1", "2.16.840.1.113883.3.3731.1.201.7", "2.16.840.1.113883.3.3731.1.201.6",
		"2.16.840.1.113883.3.3731.1.201.2", "2.16.840.1.113883.3.3731.1.201.11", "2.16.840.1.113883.3.3731.1.201.12", "2.16.840.1.113883.3.3731.1.201.13",
		"2.16.840.1.113883.3.3731.1.201.14", "2.16.840.1.113883.3.3731.1.201.15", "2.16.840.1.113883.3.3731.1.201.16", "2.16.840.1.113883.3.3731.1.201.17",
		"2.16.840.1.113883.3.3731.1.201.19"};
	
	public static void main(String[] args) {
		for (String string : listValueSetKSAXDS) {
			System.out.println("string = " + string);
			SVSConsumerNew neww = new SVSConsumerNew(){
				@Override
				protected String getSVSRepositoryUrl(EntityManager entityManager) {
					return "http://k-project.ihe-europe.net/SVSSimulator/rest/RetrieveValueSetForSimulator";
				}
			};
			List<Concept> aa = neww.getConceptsListFromValueSet(string, null);
			for (Concept concept : aa) {
				System.out.println(concept.getCodeSystem());
			}
		}
	}

}
